API referenceBidding Spot Reference Data
POST /api/SpotReference/GetSpotMarketInfo
Returns the Spot exchange, enabled order types, quantity unit, supported granularities, maximum hybrid steps, and maximum block orders for the requested date. Use this before constructing an order payload.
POST
/api/SpotReference/GetSpotMarketInfocurl -X POST "/api/SpotReference/GetSpotMarketInfo" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": "2026-01-15T09:30:00Z"
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
datastring<date-time> | null
Response
application/json
OK
successbooleanrecordCountinteger<int32>dataAtlas.SDK.Bidding.Models.Configuration.SpotMarketInfo
{
"success": true,
"recordCount": 0,
"data": {
"defaultExchange": 1,
"defaultExchangeName": "string",
"hybridOrdersName": "string",
"hybridOrdersEnabled": true,
"blockOrdersName": "string",
"blockOrdersEnabled": true,
"energyOffersQuantitiesAdded": true,
"maxHybridSteps": 0,
"maxBlocksPerEntity": 0,
"blockOrdersExclusiveGroupsEnabled": true,
"blockOrdersCircularGroupsEnabled": true,
"supportedGranularities": [
-6
],
"xbidHistoricalDeliveryAreaId": "string",
"xbidHistoricalRetentionMonths": 0,
"defaultQuantityUnit": 1,
"defaultQuantityUnitName": "string"
}
}